SplPriorityQueue::extract
SplPriorityQueue::isEmpty
SplPriorityQueue
PHP Manual

# SplPriorityQueue::insert

Inserts an element in the queue by sifting it up.

### Description

public void SplPriorityQueue::insert ( mixed `$value` , mixed `$priority` )

Insert `value` with the priority `priority` in the queue.

### Parameters

`value`

  The value to insert.

`priority`

  The associated priority.

### Return Values

No value is returned.